#version 330 core
in vec2 TexCoords;
out vec4 color;

uniform sampler2D image;
uniform vec3 spriteColor;
uniform float spriteX;
uniform float spriteY;

void main() {
    float x = TexCoords.x / 10 + spriteX;
    float y = TexCoords.y;
    color = vec4(spriteColor, 1.0f) * texture(image, vec2(x, y));
}
